/***************************************************************************
 *            rpminfo.h
 *
 *  Tue Apr  5 10:08:56 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _RPMINFO_H
#define _RPMINFO_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C"
{
#endif

void rpminfo_create(const gchar *pkgname);
void rpminfo_create_from_file(const gchar *filename);
void rpminfo_remove(GtkWidget *window);
void rpminfo_file_open(GtkWidget *widget);
void rpminfo_file_copy(GtkWidget *widget);
void rpminfo_show_requires(GtkWidget *widget);
void rpminfo_show_conflicts(GtkWidget *widget);
void rpminfo_show_depends(GtkWidget *widget);
void rpminfo_close_all();

#ifdef __cplusplus
}
#endif

#endif /* _RPMINFO_H */
