/***************************************************************************
 *            rpmutils.h
 *
 *  Mon Mar 14 16:43:55 2005
 *  Copyright  2005  Tóth, András
 *  toth_bandi@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _RPMUTILS_H
#define _RPMUTILS_H

#include <glib.h>

#ifdef __cplusplus
extern "C"
{
#endif

GHashTable *rpmutils_pkg_information(const gchar *name);
GHashTable *rpmutils_pkg_information_from_file(const gchar *name);
gchar *rpmutils_pkg_depends(const gchar *name);
gchar *rpmutils_pkg_depends_from_file(const gchar *name);

#ifdef __cplusplus
}
#endif

#endif /* _RPMUTILS_H */
